kompendium
2.0.1

# KompendiumPreFlight

object KompendiumPreFlight
Content copied to clipboard

Functions are considered preflight when they are used to intercept a method ahead of running.

## Functions

addToCache
Link copied to clipboard
fun addToCache (paramType: KType , requestType: KType , responseType: KType , feature: Kompendium )
Content copied to clipboard
methodNotarizationPreFlight
Link copied to clipboard
inline fun < TParam : Any , TReq : Any , TResp : Any > Route. methodNotarizationPreFlight (block: ( KType , KType , KType ) -> Route): Route
Content copied to clipboard

Performs all content analysis on the types provided to a notarized route and adds it to the top level spec